<!DOCTYPE html>
<html lang="en">

<head>

    {% block title %}
    <title>Local Library</title>{% endblock %} {% load static %}
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <!-- Добавление дополнительного статического CSS файла -->
    <link rel="stylesheet" type="text/css" href="{% static 'catalog/css/bootstrap.min.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'catalog/content/site.css' %}" />
    <link rel="stylesheet" href="{% static 'css/styles.css' %}">
</head>

<body>

    <div class="container-fluid">

        <div class="row">
            <div class="col-sm-2">
                {% block sidebar %}
                <ul class="sidebar-nav">
                    <li><a href="{% url 'index' %}">Home</a></li>
                    <li><a href="{% url 'bOOks' %}">Все произведения</a></li>
                    <li><a href="{% url 'authOrs' %}">Все авторы</a></li>
                </ul>
                <hr> {% if user.is_authenticated %}
                <!--сначала проверяете переменную шаблона {{user.is_authenticated}}, чтобы определить, имеет ли пользователь право видеть конкретный контент.
                Является ли {{user.is_authenticated}} истинным. Если пользователь аутентифицирован, мы знаем, что у нас
                есть действительный пользователь, поэтому мы вызываем {{user.get_username}}, чтобы отобразить их имя.-->
                <li>Пользователь: {{ user.get_username }}
                </li>
                <li><a href="{% url 'mybOOks' %}">За мной числится...</a></li>
                <li><a href="{% url 'logout'%}?next={{request.path}}">Выйти</a></li>
                <!-- URL-адрес для выхода из системы, используя тег шаблона URL-адреса и имена соответствующих конфигураций URLs.-->
                {% else %}
                <li><a href="{% url 'login'%}?next={{request.path}}">Войти</a></li>
                <!-- URL-адрес для входа в систему, используя тег шаблона URL-адреса и имена соответствующих конфигураций URLs.-->
                <!-- ?next={{request.path}} в конец URLs - означает, что следующий URL-адрес содержит адрес (URL) текущей 
                    страницы, в конце связанного URL-адреса. После того, как пользователь успешно выполнил вход в систему, 
                    представления будут использовать значение "next" чтобы перенаправить пользователя обратно 
                    на страницу, где они сначала нажали ссылку входа / выхода из системы. -->
                {% endif %} {% endblock %}
            </div>
            <div class="col-sm-10 ">
                {% block content %}{% endblock %}


            </div>
        </div>

    </div>
</body>

</html>